apiVersion: v1
kind: Service
metadata:
    name: pihole
    namespace: pihole
spec:
    type: LoadBalancer
    externalTrafficPolicy: ENC[AES256_GCM,data:Cs18DDw=,iv:2iolukq8d2olO0p3StuEItCG8m/iIMEfxfnBQ/Jfh4k=,tag:4LRe59IdrNUjH1WyPYmr9Q==,type:str]
    ports:
        - name: ENC[AES256_GCM,data:LFYYNgs=,iv:us+1ze/lBOFw2772bTvKp2LlyAg808MDzgAxsnpxnFQ=,tag:h0/39pSFTmdgaU+jWaMheg==,type:str]
          port: ENC[AES256_GCM,data:uRIc,iv:bL9OgpMWtTN9Qc44YvKhrhsLs7nLV0ompAWaH2qwyng=,tag:Zl04dBgV4FfjGmb982K40g==,type:int]
          protocol: ENC[AES256_GCM,data:hCxp,iv:rT+VW5mawvYaMBvdVO/Se0ayzADH0xKVqcMMR5sB7aw=,tag:kNQAq1j8vuIptpqmuulYGw==,type:str]
          targetPort: ENC[AES256_GCM,data:mMJH,iv:Er5V7BG1swJA/BskeAVopzJMrDXtB1MAlNFbbBPjfrQ=,tag:4RUbuEtVxRx1a5OPOgpmvA==,type:int]
        - name: ENC[AES256_GCM,data:jNsBbg==,iv:YZtGu/nCSQ8W4AyrbUC0VExjLKf4d63R6zxvtA3zPCY=,tag:5oIW/uHfRx1sS29iHwHG0g==,type:str]
          port: ENC[AES256_GCM,data:E1o=,iv:UhkFq1/pAZZlNaG43IRDeQMzIxEmRxtyIC/VeuXAvnM=,tag:ffXDmxJoAbbAPOmPmYwxPg==,type:int]
          protocol: ENC[AES256_GCM,data:JTDk,iv:Y8Gjc2g/JkM+LF4kLImeWAj76WhjK1mFzD4iA+LYrN8=,tag:OycwkQ4E30tC8zq7QvfZng==,type:str]
          targetPort: ENC[AES256_GCM,data:FnI=,iv:IgK4RpAqc/jTZfIL9SbW5NtcjQAJjdaba6vq1wifPrY=,tag:I7aDHmhqKN21m36wFjsrxA==,type:int]
        - name: ENC[AES256_GCM,data:JZwob7sc4Q==,iv:ojKEi2obESTM59ow2HiZNctdMPG1af2dGqDQdWVa5EM=,tag:VMsW+O+ceo7cMvkHdS/uxA==,type:str]
          port: ENC[AES256_GCM,data:SCE=,iv:6VHjUSP9hd2IQeHC85kgp003Ud+S6tN1QNDSpTg2zPs=,tag:q4IXxJgYOHaRIyY9x9uxaA==,type:int]
          protocol: ENC[AES256_GCM,data:ISwh,iv:TEux2tvyvf9waYC5DgT0xhc5IMIdFEUe0v5spPzusbM=,tag:E1sJhI4RcBDrrlv8YahAJg==,type:str]
          targetPort: ENC[AES256_GCM,data:8bU=,iv:0P5c+W4EBoxDnc92dZULEr5Iz+hpb5YHpFQtiIcrHs4=,tag:8kIdMgcV8yPdMuKSw7fABA==,type:int]
        - name: ENC[AES256_GCM,data:wOj3MClsMw==,iv:VjJqewFsUcBnFJoI0yMuGzYlm2IBJ3J+eAb0iv3jZe0=,tag:HgwKi7oKCqVrgrLNYPH7MQ==,type:str]
          port: ENC[AES256_GCM,data:LqM=,iv:Rc97/sN0oTHmOzBRr8AmTTRzmU/t3uFiEep4PkXfJfk=,tag:IeT4fjZPNpKwehtjmcS4Cw==,type:int]
          protocol: ENC[AES256_GCM,data:STtm,iv:5gpzwzmr1kV4qCh6GiLiFElqmLMW12tnekH9ggjb9KI=,tag:CBxLqZBatHH+gOoHKdnjDA==,type:str]
          targetPort: ENC[AES256_GCM,data:Nr4=,iv:Pg1qrU3tWsCXH6fH2hb9hI1Xv01rQXQRGRB8xkTVR+M=,tag:ODU16m90f79yx8Ey7hRvRA==,type:int]
        - name: ENC[AES256_GCM,data:zKnkuw==,iv:r3V+XWqnmEsnIkoptSoLIK3+294wfeRS/d0ayxCrqDs=,tag:Fl2SI7RWJUqD6+lsCQlIkQ==,type:str]
          port: ENC[AES256_GCM,data:baI=,iv:ai3aQvEtLZx8AiZChY76IPSQ+Ul60Nd0wEc6pj8HUSw=,tag:l2yQOU6tahVMcS9FDX8QgQ==,type:int]
          protocol: ENC[AES256_GCM,data:SooK,iv:HkzvTYMxBJTqFLN6n6/LmdHLPw3/Y83MS9N9WEjKLJ8=,tag:QdpaSfoXE0pjL2D0qxxt+A==,type:str]
          targetPort: ENC[AES256_GCM,data:DQk=,iv:fFFXwoJl2kdDSgcsTOxjYYRb9SUy+DBQMEjMlPWI6z8=,tag:jNbiMkyaJJ6cwoE3k8Km2g==,type:int]
    selector:
        app: ENC[AES256_GCM,data:2u+ipV6+,iv:kBqXksfLdoyUr8KtE9L34N14DD2iZyaKbFMxogUVhfI=,tag:Hcye7V0tDO7FMT8DoMjUcg==,type:str]
    loadBalancerIP: ENC[AES256_GCM,data:knT8ri8vYKvb/wIr,iv:zVTcEGZetZifzB8UAK5mXaX8dOal7IubOVjyCTYwrm0=,tag:x0VsHfiQt8LpT0n5W7ZIlw==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBOQU1ENkt0YkNuTlA2OWNM
            TDhjSGExc1hOSTV2VTRJVmpLNUZ3L0RtRVEwCkVQMjJoclUvVVF2aVBqZFdzLzlW
            eDBvT0RQWHNjMHZmWWJhSEhnRGEwVVEKLS0tIEJUbk00aU01UEVkZ3hJdWwxS2c2
            cTF3TXVFbCtaMHdCQ3R2U0RSNVVBYkUKMj1Atgp09uQiwArx8CwdIdqmBSa14EzD
            dhvsmM7tdYJlF0XLKofKGD7R3Vg2Ob2bWlxNyDuUWWEL++grrKepxQ==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:00Z"
    mac: ENC[AES256_GCM,data:AyHnjDSA0fgm3dJPjIUaIkhHQb/tHFco0Uzqy2OFh2ZHETxEQphfvdjoeAIXgJtn3P6aYHWQNBDNb8Zbrt89UkINK5b9+JVWN10IdOUnWXsSZJXs3n/FAT11tkwCnP8l9V9Z/Oxnd5lkHQnsBPUtT0GbtjKl2OfMAfxIEEIqMM4=,iv:AjWpjgq0XrKEdbrkiyBz1vPT5fMxat7xcdhK/c95TRk=,tag:3Dv2g3awCmxN9H9rIrbeEQ==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
